Get Batched Conversation Transcriptions

Returns the transcriptions for multiple conversations identified by their unique IDs.
Up to 100 conversation IDs are accepted per request. Duplicate IDs are ignored.

Response includes:

  • transcriptions: successful items
  • errors: failed items, each with a statusCode indicating why it failed
    • 404 = conversation not found
    • 400 = failed to process
    • 200 = not processed or still processing (message included)

Example request:
{
"conversationIds": [
"b1a9e4d6-7c3a-4e91-9342-835ec9d4f7b1",
"ad5b1e2f-08b9-4b23-9e0c-d1a1c3eafc2f"
]
}

Example response:
{
"transcriptions": [
{
"conversationId": "b1a9e4d6-7c3a-4e91-9342-835ec9d4f7b1",
"transcriptions": [
{
"languageCode": "en",
"transcription": [
"00:00 Agent: Hello",
"00:03 Customer: Hi"
]
}
]
}
],
"errors": [
{
"conversationId": "ad5b1e2f-08b9-4b23-9e0c-d1a1c3eafc2f",
"statusCode": 404,
"error": "Conversation not found"
}
]
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request containing conversation IDs. Maximum 100 conversation IDs per request.

conversationIds
array of uuids
required

List of conversation IDs to retrieve transcriptions for. Maximum 100 IDs per request. Duplicate IDs are ignored.

conversationIds*
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

Bad Request - invalid input or exceeds maximum batch size

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json